Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1825840 - Firefox window not visually unfocused when focus leaves
Summary: Firefox window not visually unfocused when focus leaves
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2020-04-20 11:28 UTC by Jacobo Aragunde
Modified: 2020-11-30 05:56 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:33:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshow showcasing the problem. Notice the focused window is gedit. (151.59 KB, image/png)
2020-04-20 11:28 UTC, Jacobo Aragunde
no flags Details

Description Jacobo Aragunde 2020-04-20 11:28:03 UTC
Created attachment 1680255 [details]
Screenshow showcasing the problem. Notice the focused window is gedit.

Description of problem:
When you leave a Firefox window, its background color doesn't change to light grey, indicating that it's not focused.

Version-Release number of selected component (if applicable):
75.0-1.fc31

How reproducible:
Always.

Steps to Reproduce:
1. Open any other application (e.g gedit), then Firefox.
2. Click on the other application (gedit).

Actual results:
Notice that Firefox's background (behind the tabs) is not light grey.

Expected results:
Firefox's background (behind the tabs) changes to light grey, indicating it's not focused.

Additional info:
If you hover one of the tabs in Firefox while it's unfocused, a tooltip appears and the background color changes to light grey.

Comment 1 Ben Cotton 2020-11-03 16:37:55 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-11-24 16:33:28 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Jacobo Aragunde 2020-11-30 05:56:40 UTC
Still reproducible in Fedora 33.


Note You need to log in before you can comment on or make changes to this bug.